com.io7m.r2.filters

## Interface R2FilterCompositorBlendingType

-     public interface R2FilterCompositorBlendingType

  Parameters for blending an image in the compositor.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default com.io7m.jcanephora.core.JCGLBlendEquation` | `blendEquationAlpha()`
    `default com.io7m.jcanephora.core.JCGLBlendEquation` | `blendEquationRGB()`
    `default com.io7m.jcanephora.core.JCGLBlendFunction` | `blendFunctionSourceAlpha()`
    `default com.io7m.jcanephora.core.JCGLBlendFunction` | `blendFunctionSourceRGB()`
    `default com.io7m.jcanephora.core.JCGLBlendFunction` | `blendFunctionTargetAlpha()`
    `default com.io7m.jcanephora.core.JCGLBlendFunction` | `blendFunctionTargetRGB()`

- - ### Method Detail

    - #### blendFunctionSourceRGB

          default com.io7m.jcanephora.core.JCGLBlendFunction blendFunctionSourceRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionSourceAlpha

          default com.io7m.jcanephora.core.JCGLBlendFunction blendFunctionSourceAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionTargetRGB

          default com.io7m.jcanephora.core.JCGLBlendFunction blendFunctionTargetRGB()

      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendFunctionTargetAlpha

          default com.io7m.jcanephora.core.JCGLBlendFunction blendFunctionTargetAlpha()

      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### blendEquationRGB

          default com.io7m.jcanephora.core.JCGLBlendEquation blendEquationRGB()

      Returns:
        The blend equation used for the RGB components of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### blendEquationAlpha

          default com.io7m.jcanephora.core.JCGLBlendEquation blendEquationAlpha()

      Returns:
        The blend equation used for the alpha component of a blended image
      See Also:
        `JCGLBlendEquation`

Copyright © 2016 <code@io7m.com> http://io7m.com